# Get wells

Get wells

Endpoint: POST /v1/wells
Version: 1.0.0
Security: bearer, appkey

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

## Query parameters:

  - `page` (integer)
    Page index starts from 1

  - `page_size` (integer)
    Number of wells per page

## Header parameters:

  - `slb-data-partition-id` (string, required)
    The data partition id.

## Request fields (application/json):

  - `field` (string)
    Field name.

  - `country` (string)
    Country name.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string)

  - `name` (string)

  - `structure_id` (string)

  - `structure` (string)

  - `ground_level` (number)

  - `is_offshore` (boolean)

  - `field` (string)

  - `country` (string)

  - `uwi` (string)

  - `source` (string)

  - `north_reference` (string)
    Enum: "Grid", "True"

  - `wgs84_location` (object)

  - `wgs84_location.longitude` (number)

  - `wgs84_location.latitude` (number)

  - `location` (object)

  - `location.northing` (number)

  - `location.easting` (number)

  - `location.crs` (string)

  - `location.grid_convergence` (number)

  - `location.scale_factor` (number)

  - `location.crs_unit` (string)

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Not found

## Response 404 fields (application/json):

  - `message` (string)

## Response 429:

  - `429` (unknown)
    Too Many Requests

## Response 429 fields (application/json):

  - `message` (string)

